faldissass(1)

NAME
faldissass - The Falcon disassembler

SYNOPSIS
faldissass [options] module_file.fam

DESCRIPTION
The faldissass command line tool disassembles a compiled .fam Falcon module. The output human-readable Falcon Virtual Machine assembly is sent to the standard output. The tool has mainly two working modes. The standard mode procues an assembly dump containing the PC counter address that will be associated with each instruction in the VM. This allows to see exactly on which VM instruction an error was raised (as the PC at error raisal is always shown in error dumps), or to debug the VM by following the PC register in step-by-step mode. The isomorphic mode creates a compilable assembly source that can the be feed into the falcon assembler to obtain a compiled module. In example, this can be used for VM level hand-made finetuning optimizations.

OPTIONS

-d  Dump the dependency table (list of load directives).

-h  Show version and a short help.

-i  Create an isomorphic version of the original assembly.

-l  add line informations.

-s  Dump the string table.

-S  Write the strings inline instead of using #strid

-y  Dump the symbol table.

FILES
/usr/lib/libfalcon_engine.so
    Default location of the Falcon Engine loadable module.

AUTHOR
Giancarlo Niccolai <gc@falconpl.org>

SEE ALSO
falcon(1) falrun(1)

LICENSE
This document is released under the "GNU Free Documentation License, version 1.2". On Debian systems, the complete text of the Free Documentation License, version 1.2, can be found in /usr/share/common-licenses/.